Bug 645924 - Plugin load errors when playing back music using command-line clients
Summary: Plugin load errors when playing back music using command-line clients
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libao
Version: 14
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-22 22:57 UTC by Michel Alexandre Salim
Modified: 2010-11-06 23:45 UTC (History)
3 users (show)

Fixed In Version: libao-1.0.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-06 23:45:43 UTC
Type: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2010-10-22 22:57:42 UTC
Description of problem:
On F-14, playing back music on the command line (ogg files with ogg123, mp3 with RPMfusion's mpg321) causes errors to be displayed by libao attempting to load its esd and arts plugins

Version-Release number of selected component (if applicable):
libao-1.0.0-1.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. ogg123 somefile.ogg
2. mpg321 somefile.mp3
  
Actual results:
Both playback succeed, but are preceded by these two lines:
ERROR: Failed to load plugin /usr/lib64/ao/plugins-4/libesd.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib64/ao/plugins-4/libarts.so => dlopen() failed


Expected results:
No error should be displayed. In fact, these plugins should not be loaded at all. I'm running this on the default GNOME desktop with PulseAudio.

Additional info:

Comment 1 andrey i. mavlyanov 2010-11-04 18:57:30 UTC
Also this errors appears while running cdrdao 


[aim@aim-laptop ~]$ sudo cdrdao copy -h
ERROR: Failed to load plugin /usr/lib64/ao/plugins-4/libesd.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib64/ao/plugins-4/libarts.so => dlopen() failed
Cdrdao version 1.2.3 - (C) Andreas Mueller <andreas@daneb.de>

Comment 2 Hans de Goede 2010-11-05 10:10:01 UTC
Thanks for the bug report I've prepared a bugfix for this. Expect an updated package soon.

Comment 3 Fedora Update System 2010-11-05 10:26:40 UTC
libao-1.0.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libao-1.0.0-2.fc14

Comment 4 Fedora Update System 2010-11-05 22:54:01 UTC
libao-1.0.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libao'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libao-1.0.0-2.fc14

Comment 5 Fedora Update System 2010-11-06 23:45:39 UTC
libao-1.0.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.